List:General Discussion« Previous MessageNext Message »
From:Paul DuBois Date:April 6 2001 4:17pm
Subject:Re: Possible silly Question
View as plain text  
On Fri, Apr 06, 2001 at 04:48:52PM +0100, David Thomas wrote:
> I am quite a newbie on using MySQL so any help would be appreciated.
> 
> I have managed to install MySQL smoothly (or so I thought) and the mysqld
> starts without any problems. However, on trying to use the
> mysql_setpermission script I get errors of:
> Cant locate DBI.pm in @inc <@inc contains: /usr/lib/perl5/5.00503/i386
> <snip>
> I have got perl installed but I believe that it is a different version
> number to the one that MySQL is trying to locate the path for...I guess my
> question is...what file do I need to alter to reflect the correct path for
> this or have I got it completely wrong...
> 
> Thank you for any help you can give on this...its driving me nuts :-)
> 
> Regards
> David Thomas

Perl may be installed, but it's not necessarily true that DBI is installed.
You'll need to obtain and install it (along with DBD::mysql and
Data::Dumper).  Links for obtaining these are available at:

http://www.mysql.com/downloads/api-dbi.html

If these things are installed but in a directory that Perl doesn't normally
looks in, put a line like this to modify your script's search path:

use lib qw(/path/to/directory/);

This should go before the use DBI; line.
Thread
Possible silly QuestionDavid Thomas6 Apr
  • Re: Possible silly QuestionPaul DuBois6 Apr
    • RE: Possible silly QuestionDavid Thomas9 Apr